<template>
  <div class="header">
    <div class="h-left">
      <div class="h-logo">
        <img src="../assets/logo.png">
      </div>
      <div class="h-board">
        <img class="inline-block mr-2 pb-1" src="../assets/trello-mark-blue.png">
        <span class="inline-block">Boards</span>
      </div>
      <div class="h-search">
        <input type="text" placeholder="Search">
      </div>
    </div>
    <div class="h-nav">
      <span class="my-button icon material-symbols-outlined">
        add_circle
      </span>
      <span class="my-button icon material-icons material-symbols-outlined ml-2">
        notifications
      </span>
      <div class="avatar ml-2 inline-block">
        <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&raw_url=true&q=80&fm=jpg&crop=entropy&cs=tinysrgb&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=987">
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'MfHeader',
  setup() {
    // setup here
  },
})
</script>

<style>
@import url('../index.css');
</style>

<style lang="sass">
@import '../index'

.header
  align-items: center
  background-color: #fff
  border-bottom: solid 1px rgba($color: #000, $alpha: .1)
  border-radius: 4px
  display: flex
  justify-content: space-between
  margin: 0px
  padding: 8px 16px
  height: 70px

  .h-left
    align-items: center
    display: flex
    flex-grow: 1
    justify-content: flex-start

    .h-logo
      border-right: solid 2px rgba($color: #000, $alpha: .1)
      padding: 0px 20px

      img
        max-height: 50px

    .h-board
      border-right: solid 2px rgba($color: #000, $alpha: .1)
      padding: 0px 20px

    .h-search
      max-width: 600px
      padding: 0px 20px
      width: 100%

      input
        width: 100%

  .h-nav
    align-items: center
    display: flex
    justify-content: flex-end

    .h-nav__item
      margin-right: 16px

      &:last-child
        margin-right: 0px
</style>
